Page MenuHomePhabricator

Flow: Topic history - PHP fatal error - mediawiki and testwiki, but beta ok
Closed, ResolvedPublic

Description

PHP fatal error in /usr/local/apache/common-local/php-1.24wmf4/extensions/Flow/includes/Data/TopicHistoryIndex.php line 92:
Call to a member function getAlphadecimal() on a non-object

error found via Topic History links (eg these 2
https://www.mediawiki.org/w/index.php?title=Talk:Winter&workflow=ru05ekkrbnrx07b5&action=history
https://test.wikipedia.org/w/index.php?title=Talk:Flow_QA&workflow=rom1kb6xio52fmns&action=history )
at mediawiki and testwiki.

(However, beta.wmflabs and Enwiki are both fine)


Version: unspecified
Severity: normal

Details

Reference
bz65051

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:10 AM
bzimport set Reference to bz65051.
bzimport added a subscriber: Unknown Object (MLST).
Quiddity created this task.May 9 2014, 3:35 AM

Change 132332 had a related patch set uploaded by Werdna:
(bug 65051) Fix for error messages from Topic History.

https://gerrit.wikimedia.org/r/132332

Change 133067 had a related patch set uploaded by Matthias Mullie:
Fix fatal in topic history.

https://gerrit.wikimedia.org/r/133067

Change 133067 merged by jenkins-bot:
Fix fatal in topic history.

https://gerrit.wikimedia.org/r/133067

Change 134740 had a related patch set uploaded by Spage:
Fix fatal in topic history.

https://gerrit.wikimedia.org/r/134740

Change 134740 merged by jenkins-bot:
Fix fatal in topic history.

https://gerrit.wikimedia.org/r/134740

Change 134746 had a related patch set uploaded by Spage:
Update Flow with backported bug 65051 fix

https://gerrit.wikimedia.org/r/134746

Change 134746 merged by MaxSem:
Update Flow with backported bug 65051 fix

https://gerrit.wikimedia.org/r/134746

Per above, fixed in master and backported to 1.24wmf5

Change 132332 abandoned by Bsitu:
(bug 65051) Fix for error messages from Topic History.

Reason:
Duplicate of 133067

https://gerrit.wikimedia.org/r/132332

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:34 AM